Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## calhoun.analysis.crf
Interface FeatureManagerNode<InputType>

All Superinterfaces:
  FeatureManager<InputType>, java.io.Serializable

All Known Subinterfaces:
  FeatureManagerNodeBoundaries<InputType>, ModelManager

All Known Implementing Classes:
  BeanModel, BlastInterval13, CompositeFeatureManager, ConstrainedFeatureManager, EmissionMarkovFeature, EndFeatures, ESTEdge, ESTExon, ESTInterval13, ESTInterval29, ESTIntron, FelsensteinFeatures, FootprintsInterval13, FootprintsInterval29, GapConjunctionFeatures, GapFeaturesInterval13, GapFeaturesInterval29, GeneConstraintsInterval13, GeneConstraintsInterval29, Interval13Model, Interval29Model, IntervalPresenceFeatures, KmerFeatures, PfamGenic, PfamPhase, PhylogeneticLogprobInterval13, ReferenceBasePredictorInterval13, ReferenceBasePredictorInterval29, ReferenceBasePredictorNodeOnlyInterval13, ReferenceBasePredictorNodeOnlyInterval29, ReferenceBasePredictorZeroPadInterval13, ReferenceBasePredictorZeroPadInterval29, StartFeatures, TestFeatures.EmissionFeature, ZeroOrderManager, ZeroOrderModel

    public interface FeatureManagerNode<InputType>

extends FeatureManager<InputType>

holds features whose value only depends on the current state, and not the previous state. An `FeatureManagerEdge` is more general than a node feature, but node features are more efficient since the solver does not need to evaluate them separately for each transition.

Method Summary
`void` | `evaluateNode(InputSequence<? extends InputType> seq, int pos, int state, FeatureList result)` Evaluates the set of features managed by this object for the given arguments.

Methods inherited from interface calhoun.analysis.crf.FeatureManager
`getCacheStrategy, getFeatureName, getInputComponent, getNumFeatures, setInputComponent, train`

Method Detail

### evaluateNode

    void evaluateNode(InputSequence<? extends InputType> seq,
                      int pos,
                      int state,
                      FeatureList result)

  Evaluates the set of features managed by this object for the given arguments.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD